using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using PhoenixDLL.Class.Managers;
using PhoenixDLL.GUI.Managers.Root;

namespace PhoenixDLL.GUI.Managers
{
    /// <summary>
    /// Gestionnaire graphique de mdecins
    /// </summary>
    public partial class fr_DoctorManager : fr_RootManager
    {
        #region Variables
        /// <summary>
        /// Gestionnaire de mdecin
        /// </summary>
        private DoctorManager vDoctorManager = new DoctorManager();
        #endregion

        #region Constructeurs
        /// <summary>
        /// Constructeur
        /// </summary>
        public fr_DoctorManager()
        {
            InitializeComponent();
        }
        #endregion

        #region Mthodes
        /// <summary>
        /// Traitement sur un clique sur OK
        /// </summary>
        protected override void ProcessOK()
        {
            try
            {
                switch (vUse)
                {
                    case Use.Modify:
                        vDoctorManager.Update();                        
                        break;
                    case Use.Delete:
                        //vHonoraireManager.Delete();
                        throw new Exception("A implmenter");
                        //break;
                    case Use.Add:
                        vDoctorManager.Add();
                        break;
                }
            }
            catch (Exception ex)
            {
                MessageBox.Show("Une erreur est survenur pendant le traitement de l'honoraire\r\n"
                    + ex.Message, "Erreur", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
            finally { this.Close(); }
        }
        #endregion

        #region Accesseurs
        /// <summary>
        /// Retourne ou initialise la manager de mdecin
        /// </summary>
        public DoctorManager Manager
        {
            get { return vDoctorManager; }
            set
            {
                vDoctorManager = value;
                base.pg_PropertyGrid.SelectedObject = vDoctorManager;
            }
        }
        #endregion
    }
}

